<html>
<head>
<title>OGRE: Ogre::TextAreaOverlayElementFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html">TextAreaOverlayElementFactory</a></div>
<h1>Ogre::TextAreaOverlayElementFactory Class Reference</h1><!-- doxytag: class="Ogre::TextAreaOverlayElementFactory" --><!-- doxytag: inherits="Ogre::OverlayElementFactory" -->Factory for creating <a class="el" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a> instances.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::TextAreaOverlayElementFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1TextAreaOverlayElementFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html#ea75e658e881632cd4c67a38d952af9f">createOverlayElement</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a>.  <a href="#ea75e658e881632cd4c67a38d952af9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TextAreaOverlayElementFactory.html#6af6df825136903c058dd92f98593bb0">getTypeName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a>.  <a href="#6af6df825136903c058dd92f98593bb0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElementFactory.html#72387fe84a4dc4e87d7ab1cfeaaf73b6">destroyOverlayElement</a> (<a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *pElement)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> which this factory created previously.  <a href="#72387fe84a4dc4e87d7ab1cfeaaf73b6"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Factory for creating <a class="el" href="classOgre_1_1TextAreaOverlayElement.html" title="This class implements an overlay element which contains simple unformatted text.">TextAreaOverlayElement</a> instances. 
<p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00101">101</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ea75e658e881632cd4c67a38d952af9f"></a><!-- doxytag: member="Ogre::TextAreaOverlayElementFactory::createOverlayElement" ref="ea75e658e881632cd4c67a38d952af9f" args="(const String &amp;instanceName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::TextAreaOverlayElementFactory::createOverlayElement           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1OverlayElementFactory.html#5d6152612c123b139a21cab955bad6ab">Ogre::OverlayElementFactory</a>.</p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00105">105</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6af6df825136903c058dd92f98593bb0"></a><!-- doxytag: member="Ogre::TextAreaOverlayElementFactory::getTypeName" ref="6af6df825136903c058dd92f98593bb0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::TextAreaOverlayElementFactory::getTypeName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1OverlayElementFactory.html" title="Defines the interface which all components wishing to supply OverlayElement subclasses...">OverlayElementFactory</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1OverlayElementFactory.html#71ac1dcee64048ccf181159a27e769bb">Ogre::OverlayElementFactory</a>.</p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00110">110</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="72387fe84a4dc4e87d7ab1cfeaaf73b6"></a><!-- doxytag: member="Ogre::TextAreaOverlayElementFactory::destroyOverlayElement" ref="72387fe84a4dc4e87d7ab1cfeaaf73b6" args="(OverlayElement *pElement)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::OverlayElementFactory::destroyOverlayElement           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td>
          <td class="paramname"> <em>pElement</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> which this factory created previously. 
<p>

<p>Definition at line <a class="el" href="OgreOverlayElementFactory_8h-source.html#l00060">60</a> of file <a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOverlayElementFactory_8h-source.html">OgreOverlayElementFactory.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:10 2008
</p>
</body>
</html>
